=== modified file 'configure.ac'
--- configure.ac	2008-09-23 01:53:40 +0000
+++ configure.ac	2008-09-23 06:09:48 +0000
@@ -869,7 +869,7 @@
   CXXFLAGS="$DEBUG_OPTIMIZE_CXX $CXXFLAGS"
 else
   # Optimized version. No debug
-  CFLAGS="$OPTIMIZE_CFLAGS $CFLAGS"
+  CFLAGS="${OPTIMIZE_CFLAGS} ${CFLAGS}"
   CXXFLAGS="$OPTIMIZE_CXXFLAGS $CXXFLAGS"
 fi
 
@@ -1015,7 +1015,7 @@
 AC_SUBST(MAKE_SHELL)
 
 # Already-done: stdlib.h string.h unistd.h termios.h
-AC_CHECK_HEADERS(varargs.h stdarg.h dirent.h locale.h ndir.h sys/dir.h \
+AC_CHECK_HEADERS(stdarg.h dirent.h locale.h ndir.h sys/dir.h \
  sys/file.h sys/ndir.h sys/ptem.h sys/pte.h sys/select.h sys/stream.h \
  sys/mman.h curses.h termcap.h termio.h termbits.h asm/termbits.h grp.h \
 paths.h semaphore.h)

=== modified file 'drizzled/global.h'
--- drizzled/global.h	2008-09-23 01:53:40 +0000
+++ drizzled/global.h	2008-09-23 06:09:48 +0000
@@ -44,15 +44,6 @@
 #define __i386__
 #endif
 
-/* Macros to make switching between C and C++ mode easier */
-#ifdef __cplusplus
-#define C_MODE_START    extern "C" {
-#define C_MODE_END	}
-#else
-#define C_MODE_START
-#define C_MODE_END
-#endif
-
 #include "config.h"
 
 /*
@@ -407,8 +398,6 @@
 extern char _dig_vec_upper[];
 extern char _dig_vec_lower[];
 
-#define CMP_NUM(a,b)    (((a) < (b)) ? -1 : ((a) == (b)) ? 0 : 1)
-#define sgn(a)		(((a) < 0) ? -1 : ((a) > 0) ? 1 : 0)
 #define test(a)		((a) ? 1 : 0)
 #define set_if_bigger(a,b)  do { if ((a) < (b)) (a)=(b); } while(0)
 #define set_if_smaller(a,b) do { if ((a) > (b)) (a)=(b); } while(0)
@@ -431,31 +420,25 @@
 #define my_const_cast(A) (A)
 #endif
 
-/* From old s-system.h */
-
-/*
-  Support macros for non ansi & other old compilers. Since such
-  things are no longer supported we do nothing. We keep then since
-  some of our code may still be needed to upgrade old customers.
-*/
-#define _VARARGS(X) X
-#define _STATIC_VARARGS(X) X
-#define _PC(X)	X
-
-#define MIN_ARRAY_SIZE	0	/* Zero or One. Gcc allows zero*/
-#define ASCII_BITS_USED 8	/* Bit char used */
-
 /* Some types that is different between systems */
 
 typedef int	File;		/* File descriptor */
 /* Type for fuctions that handles signals */
+/* RETSIGTYPE is defined by autoconf */
 #define sig_handler RETSIGTYPE
-C_MODE_START
-typedef void	(*sig_return)(void);/* Returns type from signal */
-typedef int	(*qsort_cmp)(const void *,const void *);
-typedef int	(*qsort_cmp2)(void*, const void *,const void *);
-C_MODE_END
-#define qsort_t RETQSORTTYPE	/* Broken GCC cant handle typedef !!!! */
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+  typedef void (*sig_return)(void);/* Returns type from signal */
+  typedef int  (*qsort_cmp)(const void *,const void *);
+  typedef int  (*qsort_cmp2)(void*, const void *,const void *);
+
+#ifdef __cplusplus
+}
+#endif
+
 #ifdef HAVE_SYS_SOCKET_H
 #include <sys/socket.h>
 #endif
@@ -686,10 +669,6 @@
 #define MY_HOW_OFTEN_TO_WRITE	1000	/* How often we want info on screen */
 
 
-
-
-/* my_sprintf  was here. RIP */
-
 #if defined(HAVE_CHARSET_utf8mb3) || defined(HAVE_CHARSET_utf8mb4)
 #define DRIZZLE_UNIVERSAL_CLIENT_CHARSET "utf8"
 #else

=== modified file 'drizzled/item_strfunc.cc'
--- drizzled/item_strfunc.cc	2008-09-22 23:53:43 +0000
+++ drizzled/item_strfunc.cc	2008-09-23 06:09:48 +0000
@@ -28,9 +28,17 @@
 #include <drizzled/server_includes.h>
 #include <mysys/sha1.h>
 #include <zlib.h>
-C_MODE_START
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
 #include <mysys/my_static.h>			// For soundex_map
-C_MODE_END
+
+#ifdef __cplusplus
+}
+#endif
+
 #include <drizzled/drizzled_error_messages.h>
 
 String my_empty_string("",default_charset_info);

=== modified file 'drizzled/item_sum.cc'
--- drizzled/item_sum.cc	2008-09-23 01:53:40 +0000
+++ drizzled/item_sum.cc	2008-09-23 06:09:48 +0000
@@ -846,7 +846,9 @@
 
 /***************************************************************************/
 
-C_MODE_START
+#ifdef __cplusplus
+extern "C" {
+#endif
 
 /* Declarations for auxilary C-callbacks */
 
@@ -863,7 +865,9 @@
   return ((Item_sum_distinct*) (item))->unique_walk_function(element);
 }
 
-C_MODE_END
+#ifdef __cplusplus
+}
+#endif
 
 /* Item_sum_distinct */
 
@@ -2457,8 +2461,9 @@
   return 0;
 }
 
-
-C_MODE_START
+#ifdef __cplusplus
+extern "C" {
+#endif
 
 static int count_distinct_walk(void *elem __attribute__((unused)),
                                element_count count __attribute__((unused)),
@@ -2468,7 +2473,10 @@
   return 0;
 }
 
-C_MODE_END
+#ifdef __cplusplus
+}
+#endif
+
 
 
 void Item_sum_count_distinct::cleanup()

=== modified file 'drizzled/my_decimal.h'
--- drizzled/my_decimal.h	2008-09-16 00:00:48 +0000
+++ drizzled/my_decimal.h	2008-09-23 06:09:48 +0000
@@ -32,9 +32,16 @@
 #ifndef my_decimal_h
 #define my_decimal_h
 
-C_MODE_START
+#ifdef __cplusplus
+extern "C" {
+#endif
+
 #include <mystrings/decimal.h>
-C_MODE_END
+
+#ifdef __cplusplus
+}
+#endif
+
 
 #define DECIMAL_LONGLONG_DIGITS 22
 #define DECIMAL_LONG_DIGITS 10

=== modified file 'drizzled/serialize/Makefile.am'
--- drizzled/serialize/Makefile.am	2008-08-19 15:11:04 +0000
+++ drizzled/serialize/Makefile.am	2008-09-23 06:09:48 +0000
@@ -75,3 +75,10 @@
 		schema.pb.cc \
 		table.pb.cc \
 		binary_log.pb.cc
+
+CLEANFILES =  binary_log.pb.h \
+              binary_log.pb.cc \
+              schema.pb.h \
+              schema.pb.cc \
+              table.pb.h \
+              table.pb.cc

=== modified file 'drizzled/uniques.cc'
--- drizzled/uniques.cc	2008-08-16 22:34:15 +0000
+++ drizzled/uniques.cc	2008-09-23 06:09:48 +0000
@@ -368,7 +368,9 @@
   BUFFPEK.
 */
 
-C_MODE_START
+#ifdef __cplusplus
+extern "C" {
+#endif
 
 static int buffpek_compare(void *arg, uchar *key_ptr1, uchar *key_ptr2)
 {
@@ -377,7 +379,10 @@
                           *((uchar **) key_ptr1), *((uchar **)key_ptr2));
 }
 
-C_MODE_END
+#ifdef __cplusplus
+}
+#endif
+
 
 
 /*

=== modified file 'mysys/mf_qsort.c'
--- mysys/mf_qsort.c	2008-08-22 04:52:07 +0000
+++ mysys/mf_qsort.c	2008-09-23 06:09:48 +0000
@@ -88,10 +88,11 @@
 *****************************************************************************/
 
 #ifdef QSORT_EXTRA_CMP_ARGUMENT
-qsort_t my_qsort2(void *base_ptr, size_t count, size_t size, qsort2_cmp cmp,
-	       void *cmp_argument)
+RETQSORTTYPE my_qsort2(void *base_ptr, size_t count, size_t size,
+                       qsort2_cmp cmp, void *cmp_argument)
 #else
-qsort_t my_qsort(void *base_ptr, size_t count, size_t size, qsort_cmp cmp)
+RETQSORTTYPE my_qsort(void *base_ptr, size_t count, size_t size,
+                      qsort_cmp cmp)
 #endif
 {
   char *low, *high, *pivot;
@@ -123,10 +124,10 @@
     {
       for (low_ptr = low + size; low_ptr <= high; low_ptr += size)
       {
-	char *ptr;
-	for (ptr = low_ptr; ptr > low && CMP(ptr - size, ptr) > 0;
-	     ptr -= size)
-	  SWAP(ptr, ptr - size, size, ptr_cmp);
+        char *ptr;
+        for (ptr = low_ptr; ptr > low && CMP(ptr - size, ptr) > 0;
+             ptr -= size)
+          SWAP(ptr, ptr - size, size, ptr_cmp);
       }
       POP(low, high);
       continue;
@@ -157,24 +158,24 @@
     do
     {
       while (CMP(low_ptr, pivot) < 0)
-	low_ptr += size;
+        low_ptr += size;
       while (CMP(pivot, high_ptr) < 0)
-	high_ptr -= size;
+        high_ptr -= size;
 
       if (low_ptr < high_ptr)
       {
-	SWAP(low_ptr, high_ptr, size, ptr_cmp);
-	low_ptr += size;
-	high_ptr -= size;
+        SWAP(low_ptr, high_ptr, size, ptr_cmp);
+        low_ptr += size;
+        high_ptr -= size;
       }
-      else 
+      else
       {
-	if (low_ptr == high_ptr)
-	{
-	  low_ptr += size;
-	  high_ptr -= size;
-	}
-	break;
+        if (low_ptr == high_ptr)
+        {
+          low_ptr += size;
+          high_ptr -= size;
+        }
+        break;
       }
     }
     while (low_ptr <= high_ptr);
@@ -190,10 +191,10 @@
     {
       if ((int) (high - low_ptr) <= 0)
       {
-	POP(low, high);			/* Nothing more to sort */
+        POP(low, high);			/* Nothing more to sort */
       }
       else
-	low = low_ptr;			/* Ignore small left part. */
+        low = low_ptr;			/* Ignore small left part. */
     }
     else if ((int) (high - low_ptr) <= 0)
       high = high_ptr;			/* Ignore small right part. */

=== modified file 'mysys/my_bit.h'
--- mysys/my_bit.h	2008-08-10 22:14:13 +0000
+++ mysys/my_bit.h	2008-09-23 06:09:48 +0000
@@ -2,7 +2,9 @@
   Some useful bit functions
 */
 
-C_MODE_START
+#ifdef __cplusplus
+extern "C" {
+#endif
 
 extern const char _my_bits_nbits[256];
 extern const uchar _my_bits_reverse_table[256];
@@ -97,4 +99,7 @@
      _my_bits_reverse_table[(key>>24)      ];
 }
 
-C_MODE_END
+#ifdef __cplusplus
+}
+#endif
+

=== modified file 'mysys/my_getopt.h'
--- mysys/my_getopt.h	2008-08-10 22:14:13 +0000
+++ mysys/my_getopt.h	2008-09-23 06:09:48 +0000
@@ -16,8 +16,6 @@
 #ifndef _my_getopt_h
 #define _my_getopt_h
 
-C_MODE_START
-
 #define GET_NO_ARG     1
 #define GET_BOOL       2
 #define GET_INT        3
@@ -36,6 +34,10 @@
 #define GET_ASK_ADDR	 128
 #define GET_TYPE_MASK	 127
 
+#ifdef __cplusplus
+extern "C" {
+#endif
+
 #include <mysys/my_sys.h>
 
 enum get_opt_arg_type { NO_ARG, OPT_ARG, REQUIRED_ARG };
@@ -82,7 +84,9 @@
                                bool *fix);
 bool getopt_compare_strings(const char *s, const char *t, uint length);
 
-C_MODE_END
+#ifdef __cplusplus
+}
+#endif
 
 #endif /* _my_getopt_h */
 

=== modified file 'mysys/my_handler.c'
--- mysys/my_handler.c	2008-09-22 23:53:43 +0000
+++ mysys/my_handler.c	2008-09-23 06:09:48 +0000
@@ -35,6 +35,9 @@
     b= dummy;                      \
   } while (0)
 
+#define CMP_NUM(a,b) (((a) < (b)) ? -1 : ((a) == (b)) ? 0 : 1)
+
+
 int ha_compare_text(const CHARSET_INFO * const charset_info, uchar *a, uint a_length,
 		    uchar *b, uint b_length, bool part_key,
 		    bool skip_end_space)

=== modified file 'mysys/my_static.h'
--- mysys/my_static.h	2008-07-22 18:31:32 +0000
+++ mysys/my_static.h	2008-09-23 06:09:48 +0000
@@ -18,7 +18,6 @@
   a shared library
 */
 
-C_MODE_START
 #include <signal.h>
 
 #define MAX_SIGNALS	10		/* Max signals under a dont-allow */
@@ -26,6 +25,10 @@
 #define MAX_KEYBLOCK	8192		/* Max keyblocklength == 8*IO_SIZE */
 #define MAX_BLOCK_TYPES MAX_KEYBLOCK/MIN_KEYBLOCK
 
+#ifdef __cplusplus
+extern "C" {
+#endif
+
 struct st_remember {
   int number;
   sig_handler (*func)(int number);
@@ -69,4 +72,8 @@
 extern uint64_t query_performance_frequency, query_performance_offset;
 
 extern sigset_t my_signals;		/* signals blocked by mf_brkhant */
-C_MODE_END
+
+#ifdef __cplusplus
+}
+#endif
+

=== modified file 'mysys/my_sys.h'
--- mysys/my_sys.h	2008-09-13 22:54:18 +0000
+++ mysys/my_sys.h	2008-09-23 06:09:48 +0000
@@ -15,7 +15,6 @@
 
 #ifndef _my_sys_h
 #define _my_sys_h
-C_MODE_START
 
 #ifdef HAVE_AIOWAIT
 #include <sys/asynch.h>			/* Used by record-cache */
@@ -129,6 +128,11 @@
 #define my_checkmalloc()
 #undef TERMINATE
 #define TERMINATE(A,B) {}
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
 extern void *my_malloc(size_t Size,myf MyFlags);
 #define my_malloc_ci(SZ,FLAG) my_malloc( SZ, FLAG )
 extern void *my_realloc(void *oldpoint, size_t Size, myf MyFlags);
@@ -519,8 +523,8 @@
                        uint uLine, myf MyFlag);
 extern void *_myrealloc(void *pPtr,size_t uSize,const char *sFile,
 		       uint uLine, myf MyFlag);
-extern void * my_multi_malloc _VARARGS((myf MyFlags, ...));
-extern void _myfree(void *pPtr,const char *sFile,uint uLine, myf MyFlag);
+extern void * my_multi_malloc (myf MyFlags, ...);
+extern void _myfree(void *pPtr, const char *sFile, uint uLine, myf MyFlag);
 extern int _sanity(const char *sFile, uint uLine);
 extern void *_my_memdup(const void *from, size_t length,
                         const char *sFile, uint uLine,myf MyFlag);
@@ -545,10 +549,10 @@
 extern int my_sync(File fd, myf my_flags);
 extern int my_sync_dir(const char *dir_name, myf my_flags);
 extern int my_sync_dir_by_file(const char *file_name, myf my_flags);
-extern void my_error _VARARGS((int nr,myf MyFlags, ...));
-extern void my_printf_error _VARARGS((uint my_err, const char *format,
-                                      myf MyFlags, ...))
-				      __attribute__((format(printf, 2, 4)));
+extern void my_error(int nr,myf MyFlags, ...);
+extern void my_printf_error(uint my_err, const char *format,
+                            myf MyFlags, ...)
+  __attribute__((format(printf, 2, 4)));
 extern int my_error_register(const char **errmsgs, int first, int last);
 extern const char **my_error_unregister(int first, int last);
 extern void my_message(uint my_err, const char *str,myf MyFlags);
@@ -619,10 +623,10 @@
 extern void my_string_ptr_sort(uchar *base,uint items,size_t size);
 extern void radixsort_for_str_ptr(uchar* base[], uint number_of_elements,
 				  size_t size_of_element,uchar *buffer[]);
-extern qsort_t my_qsort(void *base_ptr, size_t total_elems, size_t size,
-                        qsort_cmp cmp);
-extern qsort_t my_qsort2(void *base_ptr, size_t total_elems, size_t size,
-                         qsort2_cmp cmp, void *cmp_argument);
+extern RETQSORTTYPE my_qsort(void *base_ptr, size_t total_elems, size_t size,
+                             qsort_cmp cmp);
+extern RETQSORTTYPE my_qsort2(void *base_ptr, size_t total_elems, size_t size,
+                              qsort2_cmp cmp, void *cmp_argument);
 extern qsort2_cmp get_ptr_compare(size_t);
 void my_store_ptr(uchar *buff, size_t pack_length, my_off_t pos);
 my_off_t my_get_ptr(uchar *ptr, size_t pack_length);
@@ -802,5 +806,8 @@
 extern void thd_increment_bytes_received(uint32_t length);
 extern void thd_increment_net_big_packet_count(uint32_t length);
 
-C_MODE_END
+#ifdef __cplusplus
+}
+#endif
+
 #endif /* _my_sys_h */

=== modified file 'mysys/my_time.h'
--- mysys/my_time.h	2008-09-10 00:06:50 +0000
+++ mysys/my_time.h	2008-09-23 06:09:48 +0000
@@ -29,7 +29,9 @@
 #include <drizzled/global.h>
 #include "drizzle_time.h"
 
-C_MODE_START
+#ifdef __cplusplus
+extern "C" {
+#endif
 
 extern uint64_t log_10_int[20];
 extern uchar days_in_month[];
@@ -173,6 +175,8 @@
   INTERVAL_MINUTE_MICROSECOND, INTERVAL_SECOND_MICROSECOND, INTERVAL_LAST
 };
 
-C_MODE_END
+#ifdef __cplusplus
+}
+#endif
 
 #endif /* _libdrizzle_my_time_h_ */

=== modified file 'mysys/sha1.h'
--- mysys/sha1.h	2008-07-28 04:55:50 +0000
+++ mysys/sha1.h	2008-09-23 06:09:48 +0000
@@ -57,10 +57,14 @@
   Function Prototypes
 */
 
-C_MODE_START
-
-int mysql_sha1_reset(SHA1_CONTEXT*);
-int mysql_sha1_input(SHA1_CONTEXT*, const uint8_t *, unsigned int);
-int mysql_sha1_result(SHA1_CONTEXT* , uint8_t Message_Digest[SHA1_HASH_SIZE]);
-
-C_MODE_END
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+  int mysql_sha1_reset(SHA1_CONTEXT*);
+  int mysql_sha1_input(SHA1_CONTEXT*, const uint8_t *, unsigned int);
+  int mysql_sha1_result(SHA1_CONTEXT* , uint8_t Message_Digest[SHA1_HASH_SIZE]);
+
+#ifdef __cplusplus
+}
+#endif

=== modified file 'mysys/typelib.h'
--- mysys/typelib.h	2008-09-14 18:54:32 +0000
+++ mysys/typelib.h	2008-09-23 06:09:48 +0000
@@ -26,6 +26,10 @@
   unsigned int *type_lengths;
 } TYPELIB;
 
+#ifdef __cplusplus
+  extern "C" {
+#endif 
+
 extern uint64_t find_typeset(char *x, TYPELIB *typelib,int *error_position);
 extern int find_type_or_exit(char *x, TYPELIB *typelib,
                              const char *option);
@@ -34,4 +38,8 @@
 extern const char *get_type(TYPELIB *typelib,unsigned int nr);
 extern TYPELIB *copy_typelib(MEM_ROOT *root, TYPELIB *from);
 
+#ifdef __cplusplus
+  }
+#endif
+
 #endif /* _typelib_h */

=== modified file 'storage/heap/heapdef.h'
--- storage/heap/heapdef.h	2008-08-10 04:50:31 +0000
+++ storage/heap/heapdef.h	2008-09-23 06:09:48 +0000
@@ -18,7 +18,11 @@
 #define HEAPDEF_H
 
 #include <drizzled/base.h>		/* This includes global */
-C_MODE_START
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
 #include <mysys/my_pthread.h>
 #include "heap.h"			/* Structs & some defines */
 #include <mysys/my_tree.h>
@@ -126,6 +130,9 @@
 
 
 extern pthread_mutex_t THR_LOCK_heap;
-C_MODE_END
+
+#ifdef __cplusplus
+}
+#endif
 
 #endif /* HEAPDEF_H */

=== modified file 'storage/innobase/handler/ha_innodb.cc'
--- storage/innobase/handler/ha_innodb.cc	2008-09-22 13:44:04 +0000
+++ storage/innobase/handler/ha_innodb.cc	2008-09-23 06:09:48 +0000
@@ -55,10 +55,15 @@
 */
 static handlerton *innodb_hton_ptr;
 
-C_MODE_START
+#ifdef __cplusplus
+extern "C" {
+#endif
+
 static int64_t index_cond_func_innodb(void *arg);
-C_MODE_END
 
+#ifdef __cplusplus
+}
+#endif
 
 
 #define INSIDE_HA_INNOBASE_CC
@@ -8027,7 +8032,9 @@
  * Index Condition Pushdown interface implementation
  */
 
-C_MODE_START
+#ifdef __cplusplus
+extern "C" {
+#endif
 
 /* Index condition check function to be called from within Innobase */
 
@@ -8042,7 +8049,10 @@
   return h->pushed_idx_cond->val_int();
 }
 
-C_MODE_END
+#ifdef __cplusplus
+}
+#endif
+
 
 
 Item *ha_innobase::idx_cond_push(uint keyno_arg, Item* idx_cond_arg)

=== modified file 'storage/myisam/ha_myisam.cc'
--- storage/myisam/ha_myisam.cc	2008-09-22 23:53:43 +0000
+++ storage/myisam/ha_myisam.cc	2008-09-23 06:09:48 +0000
@@ -1291,7 +1291,9 @@
   return mi_delete(file,buf);
 }
 
-C_MODE_START
+#ifdef __cplusplus
+extern "C" {
+#endif
 
 bool index_cond_func_myisam(void *arg)
 {
@@ -1305,7 +1307,9 @@
   return (bool)h->pushed_idx_cond->val_int();
 }
 
-C_MODE_END
+#ifdef __cplusplus
+}
+#endif
 
 
 int ha_myisam::index_init(uint idx, bool sorted __attribute__((unused)))

=== modified file 'storage/myisam/ha_myisam.h'
--- storage/myisam/ha_myisam.h	2008-08-16 22:34:15 +0000
+++ storage/myisam/ha_myisam.h	2008-09-23 06:09:48 +0000
@@ -32,9 +32,15 @@
 extern TYPELIB myisam_recover_typelib;
 extern ulong myisam_recover_options;
 
-C_MODE_START
+#ifdef __cplusplus
+extern "C" {
+#endif
+
 bool index_cond_func_myisam(void *arg);
-C_MODE_END
+
+#ifdef __cplusplus
+}
+#endif
 
 class ha_myisam: public handler
 {

=== modified file 'storage/myisam/keycache.h'
--- storage/myisam/keycache.h	2008-08-09 06:20:11 +0000
+++ storage/myisam/keycache.h	2008-09-23 06:09:48 +0000
@@ -20,7 +20,9 @@
 
 #include <drizzled/global.h>
 
-C_MODE_START
+#ifdef __cplusplus
+extern "C" {
+#endif
 
 enum flush_type
 {
@@ -154,5 +156,9 @@
 				   KEY_CACHE *new_data);
 extern int reset_key_cache_counters(const char *name,
                                     KEY_CACHE *key_cache);
-C_MODE_END
+
+#ifdef __cplusplus
+}
+#endif
+
 #endif /* _keycache_h */

=== modified file 'storage/myisam/myisamdef.h'
--- storage/myisam/myisamdef.h	2008-09-16 04:26:53 +0000
+++ storage/myisam/myisamdef.h	2008-09-23 06:09:48 +0000
@@ -729,9 +729,9 @@
 
     /* Functions needed by mi_check */
 volatile int *killed_ptr(MI_CHECK *param);
-void mi_check_print_error _VARARGS((MI_CHECK *param, const char *fmt,...));
-void mi_check_print_warning _VARARGS((MI_CHECK *param, const char *fmt,...));
-void mi_check_print_info _VARARGS((MI_CHECK *param, const char *fmt,...));
+void mi_check_print_error(MI_CHECK *param, const char *fmt,...);
+void mi_check_print_warning(MI_CHECK *param, const char *fmt,...);
+void mi_check_print_info(MI_CHECK *param, const char *fmt,...);
 int flush_pending_blocks(MI_SORT_PARAM *param);
 int thr_write_keys(MI_SORT_PARAM *sort_param);
 pthread_handler_t thr_find_all_keys(void *arg);

=== modified file 'storage/myisam/sort.c'
--- storage/myisam/sort.c	2008-09-22 23:53:43 +0000
+++ storage/myisam/sort.c	2008-09-23 06:09:48 +0000
@@ -39,7 +39,7 @@
  Pointers of functions for store and read keys from temp file
 */
 
-extern void print_error _VARARGS((const char *fmt,...));
+extern void print_error(const char *fmt,...);
 
 /* Functions defined in this file */
 

